Bug 731668 - Changing model's package doesn't import it's types.
Summary: Changing model's package doesn't import it's types.
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor)
Version: BRMS 5.2.0-ER1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: BRMS 5.3.0.GA
Assignee: manstis
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 09:35 UTC by Zuzana Krejčová
Modified: 2016-08-01 01:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously when changing the package a model belongs to in the JBoss BRMS user interface, the model's types were not automatically imported and the user had to perform this step manually. This issue has been resolved and it is no longer necessary for users to perform the step manually.
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Zuzana Krejčová 2011-08-18 09:35:19 UTC
Description of problem:

When you upload a POJO model, it's types are automatically imported into it's package. When you change the model's package, those types aren't imported into the new package, you have to do it manually, one by one. Can be very annoying for larger numbers of imported types.

Comment 1 Prakash Aradhya 2011-08-23 19:42:58 UTC
Agreed, it is not a good state.  Its a feature that we should tackle in 5.3

Comment 2 manstis 2011-10-12 08:13:22 UTC
Please clarify what you mean by "when you change a model's package"? Do you mean the Java classes in the POJO model are moved to a different package and a new POJO JAR uploaded?

Comment 3 Zuzana Krejčová 2011-10-12 08:26:29 UTC
(In reply to comment #2)
> Please clarify what you mean by "when you change a model's package"? Do you
> mean the Java classes in the POJO model are moved to a different package and a
> new POJO JAR uploaded?

That should have meant a package in Guvnor, like the (present by default) defaultPackage and Global Area or mortgages for the sample repository. And moving the model from let's say mortgages to defaultPackage.
As in open the asset, model, in Guvnor switch to its attribute view and click on the pencil next to the "Package: <somePackageName>" row, then choose a different package.

I hope it's clearer now.

Comment 4 manstis 2011-11-09 13:12:12 UTC
Fixed in master and back-ported to 5.3.x.

Comment 6 lcarlon 2012-06-04 01:39:20 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously when changing the package a model belongs to in the JBoss BRMS user interface, the model's types were not automatically imported and the user had to perform this step manually. This issue has been resolved and it is no longer necessary for users to perform the step manually.


Note You need to log in before you can comment on or make changes to this bug.